Package twisted :: Package names :: Module common :: Class ResolverBase

[frames | no frames]

## Class ResolverBase

Known Subclasses:
  `CacheResolver`, `FileAuthority`, `Resolver`, `Resolver`, `ResolverChain`, `SecondaryAuthority`

Method Summary
| `__init__(self)`
| `_cbRecords(self, (ans, auth, add), name, effort)`
| `_lookup(self, name, cls, type, timeout)`
| `getHostByName(self, name, timeout, effort)`
| `lookupAddress(self, name, timeout)`
| `lookupAddress6(self, name, timeout)`
| `lookupAFSDatabase(self, name, timeout)`
| `lookupAllRecords(self, name, timeout)`
| `lookupAuthority(self, name, timeout)`
| `lookupCanonicalName(self, name, timeout)`
| `lookupHostInfo(self, name, timeout)`
| `lookupIPV6Address(self, name, timeout)`
| `lookupMailBox(self, name, timeout)`
| `lookupMailboxInfo(self, name, timeout)`
| `lookupMailExchange(self, name, timeout)`
| `lookupMailGroup(self, name, timeout)`
| `lookupMailRename(self, name, timeout)`
| `lookupNameservers(self, name, timeout)`
| `lookupNull(self, name, timeout)`
| `lookupPointer(self, name, timeout)`
| `lookupResponsibility(self, name, timeout)`
| `lookupService(self, name, timeout)`
| `lookupText(self, name, timeout)`
| `lookupWellKnownServices(self, name, timeout)`
| `lookupZone(self, name, timeout)`
| `query(self, query, timeout)`

Class Variable Summary
`NoneType` | `typeToMethod` = None

Class Variable Details

### typeToMethod

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 2.0 on Sat May 15 20:08:57 2004 | http://epydoc.sf.net